Bug 1260803 - sems won't come up - undefined symbol: _ZTI14_RegisterCache
sems won't come up - undefined symbol: _ZTI14_RegisterCache
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sems (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 18:02 EDT by Michael Tremer
Modified: 2016-04-24 05:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: sems-1.6.0-4.fc24 sems-1.6.0-4.fc23 sems-1.6.0-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-13 17:35:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Tremer 2015-09-07 18:02:06 EDT
Description of problem: sems won't start. Crashes when coming up.


Version-Release number of selected component (if applicable):
sems-1.6.0-1.fc21.x86_64
sems-conference-1.6.0-1.fc21.x86_64
sems-diameter_client-1.6.0-1.fc21.x86_64
sems-dsm-1.6.0-1.fc21.x86_64
sems-g722-1.6.0-1.fc21.x86_64
sems-gsm-1.6.0-1.fc21.x86_64
sems-ilbc-1.6.0-1.fc21.x86_64
sems-speex-1.6.0-1.fc21.x86_64
sems-xmlrpc2di-1.6.0-1.fc21.x86_64

How reproducible:
Start sems and use the sbc plugin


Steps to Reproduce:
1. Start sems
2. Won't come up

Actual results:

Sep 07 23:59:02 XXX sems[31868]: [/builddir/build/BUILD/sems-1.6.0/core/AmPlugIn.cpp:298] ERROR:  AmPlugIn::loadPlugIn: /usr/lib64/sems/plug-in//sbc.so: /usr/lib64/sems/plug-in//sbc.so: undefined symbol: _ZTI14_RegisterCache
Sep 07 23:59:02 XXX sems[31868]: [/builddir/build/BUILD/sems-1.6.0/core/AmPlugIn.cpp:206] ERROR:  while loading plug-in '/usr/lib64/sems/plug-in//sbc.so'


Expected results:
sems should start
Comment 1 Michael Tremer 2015-10-02 07:53:24 EDT
The problem persists with F22 and these packages:

[root@gilderoy ~]# rpm -qa | grep ^sems | sort
sems-1.6.0-1.fc22.x86_64
sems-conf_auth-1.6.0-1.fc22.x86_64
sems-conference-1.6.0-1.fc22.x86_64
sems-debuginfo-1.6.0-1.fc21.x86_64
sems-diameter_client-1.6.0-1.fc22.x86_64
sems-dsm-1.6.0-1.fc22.x86_64
sems-early_announce-1.6.0-1.fc22.x86_64
sems-g722-1.6.0-1.fc22.x86_64
sems-gsm-1.6.0-1.fc22.x86_64
sems-ilbc-1.6.0-1.fc22.x86_64
sems-ivr-1.6.0-1.fc22.x86_64
sems-mailbox-1.6.0-1.fc22.x86_64
sems-pin_collect-1.6.0-1.fc22.x86_64
sems-speex-1.6.0-1.fc22.x86_64
sems-xmlrpc2di-1.6.0-1.fc22.x86_64

I tried to rebuild the package locally to make sure that this is not some error from koji, but that does not solve the issue. I also tried to disable stripping of the modules to make sure that this is not causing this issue. Copying the module from the build system into the filesystem of my production system does not help either.
Comment 2 Fedora Update System 2016-04-08 09:51:16 EDT
sems-1.6.0-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e0032e4d5b
Comment 3 Fedora Update System 2016-04-08 09:51:27 EDT
sems-1.6.0-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-585488578b
Comment 4 Fedora Update System 2016-04-08 09:51:33 EDT
sems-1.6.0-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bf14806a2c
Comment 5 Michael Tremer 2016-04-08 16:38:52 EDT
Thanks. I tested the build for F23 and the SBC module can be loaded now.
Comment 6 Fedora Update System 2016-04-09 14:48:52 EDT
sems-1.6.0-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e0032e4d5b
Comment 7 Fedora Update System 2016-04-09 14:52:40 EDT
sems-1.6.0-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bf14806a2c
Comment 8 Fedora Update System 2016-04-09 15:24:05 EDT
sems-1.6.0-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-585488578b
Comment 9 Fedora Update System 2016-04-13 17:34:55 EDT
sems-1.6.0-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-04-17 23:20:02 EDT
sems-1.6.0-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-04-24 05:27:54 EDT
sems-1.6.0-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.